org.encog.mathutil.matrices.decomposition

## Class CholeskyDecomposition

- java.lang.Object
- - org.encog.mathutil.matrices.decomposition.CholeskyDecomposition

- All Implemented Interfaces:
    Serializable

      public class CholeskyDecomposition
      extends Object
      implements Serializable

  Cholesky Decomposition. For a symmetric, positive definite matrix A, the Cholesky decomposition is an lower triangular matrix L so that A = L*L'. If the matrix is not symmetric or positive definite, the constructor returns a partial decomposition and sets an internal flag that may be queried by the isSPD() method. This file based on a class from the public domain JAMA package. http://math.nist.gov/javanumerics/jama/
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CholeskyDecomposition(Matrix matrix)` Cholesky algorithm for symmetric and positive definite matrix.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDeterminant()`
    `Matrix` | `getL()` Return triangular factor.
    `Matrix` | `inverseCholesky()`
    `boolean` | `isSPD()` Is the matrix symmetric and positive definite?
    `Matrix` | `solve(Matrix b)` Solve A*X = B.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CholeskyDecomposition

          public CholeskyDecomposition(Matrix matrix)

      Cholesky algorithm for symmetric and positive definite matrix.
      Parameters:
        `matrix` - Square, symmetric matrix.

  - ### Method Detail

    - #### isSPD

          public final boolean isSPD()

      Is the matrix symmetric and positive definite?
      Returns:
        true if A is symmetric and positive definite.

    - #### getL

          public final Matrix getL()

      Return triangular factor.
      Returns:
        L

    - #### solve

          public final Matrix solve(Matrix b)

      Solve A*X = B.
      Parameters:
        `b` - A Matrix with as many rows as A and any number of columns.
      Returns:
        X so that L*L'*X = b.

    - #### getDeterminant

          public double getDeterminant()

    - #### inverseCholesky

          public Matrix inverseCholesky()

Copyright © 2014. All Rights Reserved.